package com.example.demo;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

@Controller
public class Kalkulator {

	@GetMapping("/kalkulator")
	public String kalkulatorGet() {
		// Obsługa metody GET - tylko wyświetlenie pustego formularza
		return "kalkulator.html";
	}

	@PostMapping("/kalkulator")
	public String kalkulatorPost(Model model, Integer liczba1, Integer liczba2, String operacja) {
		// Obsługa metody POST - zakładamy, że parametry zostały przekazane (a jeśli nie, to będzie wyjątek).
		Integer wynik = switch(operacja) {
			case "+" -> liczba1 + liczba2;
			case "-" -> liczba1 - liczba2;
			case "*" -> liczba1 * liczba2;
			case "/" -> liczba1 / liczba2;
			default  -> 0;
		};
		model.addAttribute("wynik", wynik);
		
		return "kalkulator.html";
	}

}
